# studio::Dock_Layers Class Reference

`#include <dock_layers.h>`

Inheritance diagram for studio::Dock_Layers:

List of all members.

## Public Member Functions

| Dock_Layers ()
| ~Dock_Layers ()

## Protected Member Functions

virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)

## Constructor & Destructor Documentation

Dock_Layers::Dock_Layers | ( |  | ) |

References _, synfigapp::Action::book(), synfigapp::Action::create(), studio::LayerActionManager::get_action_select_all_child_layers(), studio::layer_icon(), studio::Dockable::set_toolbar(), studio::LayerActionManager::set_ui_manager(), and studio::App::ui_manager().

Dock_Layers::~Dock_Layers | ( |  | ) |

## Member Function Documentation

void Dock_Layers::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References synfigapp::CanvasInterface::change_value(), synfigapp::Action::create(), studio::LayerTree::get_layer_tree_view(), studio::Dockable::get_name(), studio::LayerTree::get_param_tree_view(), studio::Dockable::present(), studio::LayerTree::set_model(), studio::LayerTree::set_time_adjustment(), and studio::LayerTree::signal_edited_value().

void Dock_Layers::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::LayerActionManager::clear(), studio::Dockable::clear_previous(), studio::Dockable::get_name(), studio::LayerActionManager::refresh(), studio::LayerActionManager::set_canvas_interface(), and studio::LayerActionManager::set_layer_tree().

The documentation for this class was generated from the following files:

- dock_layers.h
- dock_layers.cpp